VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisimBox.Renderer.VertexBufferManager Class Reference

Abstract base for vertex buffer manager. More...

Inheritance diagram for VisimBox.Renderer.VertexBufferManager:

List of all members.

## Public Member Functions
override void | Add (string key, IVertexBuffer value)
| Adds new already created vertex buffer to manager (use CreateBuffer to get correct vertex buffer!)
virtual void | Add (string key, IVertexArray vertexarray, ResourceUsage usage=ResourceUsage.Static)
| Creates new vertex buffer from vertex array.
abstract IVertexBuffer | CreateBuffer (IVertexArray varray, ResourceUsage usage=ResourceUsage.Static)
| Creates new vertext buffer.
virtual void | BindBuffer (string name)
| Binds vertex buffer for using in renderer.
abstract void | BindBuffer (IVertexBuffer vb)
| Binds vertex buffer for using in renderer.
abstract void | UnBindBuffer ()
| Unbinds buffer - sets current vertex buffer to null.

## Detailed Description

Abstract base for vertex buffer manager.

## Member Function Documentation

override void VisimBox.Renderer.VertexBufferManager.Add | ( | string | key,
|  | IVertexBuffer | value
| ) |  |

Adds new already created vertex buffer to manager (use CreateBuffer to get correct vertex buffer!)

Parameters:

  key | key
  value | Valid vertex buffer

virtual void VisimBox.Renderer.VertexBufferManager.Add | ( | string | key,
|  | IVertexArray | vertexarray,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  | `[virtual]`

Creates new vertex buffer from vertex array.

Parameters:

  key |
  vertexarray | Vertex array containing data for vertex buffer

abstract void VisimBox.Renderer.VertexBufferManager.BindBuffer | ( | IVertexBuffer | vb | ) | `[pure virtual]`

Binds vertex buffer for using in renderer.

Parameters:

  vb | VertexBuffer object

Implemented in VisimRenderGL.GLVertexBufferManager.

virtual void VisimBox.Renderer.VertexBufferManager.BindBuffer | ( | string | name | ) | `[virtual]`

Binds vertex buffer for using in renderer.

Parameters:

  name | Name of the buffer

abstract IVertexBuffer VisimBox.Renderer.VertexBufferManager.CreateBuffer | ( | IVertexArray | varray,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  | `[pure virtual]`

Creates new vertext buffer.

Parameters:

  varray | Source VertexArray
  usage | Requested usage

Returns:
  New VertexBuffer

Implemented in VisimRenderGL.GLVertexBufferManager.

abstract void VisimBox.Renderer.VertexBufferManager.UnBindBuffer | ( |  | ) | `[pure virtual]`

Unbinds buffer - sets current vertex buffer to null.

Implemented in VisimRenderGL.GLVertexBufferManager.

The documentation for this class was generated from the following file:

- VertexBufferManager.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events